package cn.superdesk.uniorder.service.operation;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.operation.ExcelImportLog;
import cn.superdesk.uniorder.dto.param.operation.ExcelImportLogQueryCriteria;
import cn.superdesk.uniorder.service.base.BaseService;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;


/**
 * @Description: Excel导入日志
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-08-23 10:38:52
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-08-23 10:38:52
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface ExcelImportLogService extends BaseService<ExcelImportLog> {


	/****************************************** extends BaseService 部分 start ******************************************/

	int insertSelective(ExcelImportLog entity);

    int updateByPrimaryKeySelective(ExcelImportLog entity);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	ExcelImportLog findById(Long id);

	@Deprecated
	PageInfo<ExcelImportLog> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<ExcelImportLog> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addExcelImportLog(ExcelImportLog entity);

	void updateExcelImportLog(ExcelImportLog entity);

	void deleteExcelImportLog(Long id);

	ExcelImportLog findExcelImportLogById(Long id);

	R<List<ExcelImportLog>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);

	R<List<ExcelImportLog>> pageQueryGenericParam(ExcelImportLogQueryCriteria criteria);


}